Bug 1011150 - grub2-mkconfig fails to include Fedora 20 Alpha RC4
grub2-mkconfig fails to include Fedora 20 Alpha RC4
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 12:55 EDT by Leslie Satenstein
Modified: 2015-06-06 23:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-06 23:46:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leslie Satenstein 2013-09-23 12:55:43 EDT
Description of problem:

Grub2-mkconfig fails to install Fedora20 as one of the menuentries.



Version-Release number of selected component (if applicable):

Fedora 19, 64 bit version

How reproducible:

Consistant since 20-Alpha-RC4/ 
Prior to 20-Alpha-RC4/  grub2-mkconfig was ok  It picked up Fedora20.

Here is the output of os-prober

[root@Fedora19 tmp]# os-prober
/dev/sda5:Linux Mint 14 Nadia (14):LinuxMint:linux
/dev/sdb1:Windows 7 (loader):Windows:chain
/dev/sdc6:RFRemix release 19 (Schrödinger’s Cat):RFRemix:linux
/dev/sdd3:Fedora release 20 (Heisenbug):Fedora:linux:btrfs:UUID=aa1139bb-7076-40a4-b078-61bb2e50f1ae:subvol=root
/dev/mapper/rfremix-root:RFRemix release 18 (Spherical Cow):RFRemix1:linux


The penultimate entry is /dev/sdd3 with Fedora 20.

More info.

The target /dev/sdd3 is a 256k disk set aside for Fedora20.  
This disk is organized as follows:
MSDOS partition
/dev/sdd1  Ext4  500MiB
/dev/sdd2  Swap
/dev/sdd3  btrfs   


1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Leslie Satenstein 2013-10-14 23:22:59 EDT
Grub2 works when btfrs is not used as a full default.
Comment 2 Gene Snider 2014-12-17 17:36:10 EST
I have two btrfs partitions with root and home subvolumes on my internal hard drive.  I also have root and home on ext4 partions on an external hard drive.  All three installations have their own ext4 boot partion.  The internal drive gpt and the external drive is mbr.

Fedora 21 installation 1:

/dev/sda6 ext4 boot partition
/dev/sda7 swap
/dev/sda8 btrfs root/home volume

Fedora 21 installation 2:

/dev/sda9 ext4 boot partition
/dev/sda10 btrfs root/home volume

Fedora 19 installation:

/dev/sdb3 boot partition
/dev/sdb4 extended partition
/dev/sdb5 ext4 root partition
/dev/sdb6 ext4 home partition


Running grub2-mkconfig in F21 installation 1 (/dev/sda8) gives:

$ sudo grub2-mkconfig -o /tmp/grub.cfg
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-3.17.6-300.fc21.x86_64
Found initrd image: /boot/initramfs-3.17.6-300.fc21.x86_64.img
Warning: Please don't use old title `Fedora, with Linux 3.17.6-300.fc21.x86_64' for GRUB_DEFAULT, use `Advanced options for Fedora>Fedora, with Linux 3.17.6-300.fc21.x86_64' (for versions before 2.00) or `gnulinux-advanced-9306cf92-16a8-4987-9ec2-47b753bd5f9b>gnulinux-3.17.6-300.fc21.x86_64-advanced-9306cf92-16a8-4987-9ec2-47b753bd5f9b' (for 2.00 or later)
Found linux image: /boot/vmlinuz-3.17.4-302.fc21.x86_64
Found initrd image: /boot/initramfs-3.17.4-302.fc21.x86_64.img
Found linux image: /boot/vmlinuz-3.17.4-301.fc21.x86_64
Found initrd image: /boot/initramfs-3.17.4-301.fc21.x86_64.img
Found linux image: /boot/vmlinuz-3.17.4-300.fc21.x86_64
Found initrd image: /boot/initramfs-3.17.4-300.fc21.x86_64.img
Found linux image: /boot/vmlinuz-3.17.3-300.fc21.x86_64
Found initrd image: /boot/initramfs-3.17.3-300.fc21.x86_64.img
Found linux image: /boot/vmlinuz-0-rescue-3fa2d5b487f54eb4af9546d26bbf3c33
Found initrd image: /boot/initramfs-0-rescue-3fa2d5b487f54eb4af9546d26bbf3c33.img
Found Windows Boot Manager on /dev/sda1@/EFI/Microsoft/Boot/bootmgfw.efi
Found Fedora release 21 (Twenty One) on /dev/sda10
Found Fedora release 19 (Schrödinger’s Cat) on /dev/sdb5
done

As you can see, all the different OS were found by os-prober, but NO entries are in grub.cfg for Fedora release 21 on /dev/sda10.  However, the entries for Windows and the Fedora 19 installation are in grub.cfg.

If I chroot into the second F21 installation and run grub2-mkconfig, the grub.cfg file contains entries for all the systems, EXCEPT for the first F21 installation.  Apparently, grub2-mkconfig doesn't handle inactive btrfs installations correctly, even if they are correctly mounted under /mnt.

As a work around, I can chroot into the second Fedora installation and run grub2-mkconfig, storing the results in a temporary file.  Then exit the chroot environment and paste the 10_linux menu section from the temporary file into 
/etc/grub.d/40_custom file.  Running grub2-mkconfig then produces a grub.cfg menu that includes both btrfs installations. This doesn't seem like an ideal permanent solution.

Gene
Comment 3 Fedora End Of Life 2015-05-29 05:26:36 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Leslie Satenstein 2015-06-06 23:46:36 EDT
Please close, as of Official Fedora 22 release, it works for me

Note You need to log in before you can comment on or make changes to this bug.